
From: Alan Cox <alan@lxorguk.ukuu.org.uk>

Revert the recent fdomain_cs config dependency "fix" and fix the linkage
error with ifdeffery instead.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/scsi/fdomain.c      |    4 ++++
 25-akpm/drivers/scsi/pcmcia/Kconfig |    2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

diff -puN drivers/scsi/fdomain.c~fdomain-isa-fixup drivers/scsi/fdomain.c
--- 25/drivers/scsi/fdomain.c~fdomain-isa-fixup	Thu Jul 29 14:55:12 2004
+++ 25-akpm/drivers/scsi/fdomain.c	Thu Jul 29 14:55:12 2004
@@ -681,6 +681,7 @@ static int fdomain_get_irq( int base )
 
 static int fdomain_isa_detect( int *irq, int *iobase )
 {
+#ifndef PCMCIA
    int i, j;
    int base = 0xdeadbeef;
    int flag = 0;
@@ -786,6 +787,9 @@ static int fdomain_isa_detect( int *irq,
    *iobase = base;
 
    return 1;			/* success */
+#else
+   return 0;
+#endif
 }
 
 /* PCI detection function: int fdomain_pci_bios_detect(int* irq, int*
diff -puN drivers/scsi/pcmcia/Kconfig~fdomain-isa-fixup drivers/scsi/pcmcia/Kconfig
--- 25/drivers/scsi/pcmcia/Kconfig~fdomain-isa-fixup	Thu Jul 29 14:55:54 2004
+++ 25-akpm/drivers/scsi/pcmcia/Kconfig	Thu Jul 29 14:56:05 2004
@@ -17,7 +17,7 @@ config PCMCIA_AHA152X
 
 config PCMCIA_FDOMAIN
 	tristate "Future Domain PCMCIA support"
-	depends on m && ISA
+	depends on m
 	help
 	  Say Y here if you intend to attach this type of PCMCIA SCSI host
 	  adapter to your computer.
_
